{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://elma-smp.no/rest","description":"Generated server url"}],"paths":{"/api/processes/{identifiable}":{"get":{"tags":["process-controller"],"summary":"Get process","description":"Get process","operationId":"getProcess","parameters":[{"name":"identifiable","in":"path","description":"A process identifier that is an UUID.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.processes.get.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ProcessDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ProcessDTO"}}}}}},"put":{"tags":["process-controller"],"summary":"Update process","description":"Update process","operationId":"updateProcess","parameters":[{"name":"identifiable","in":"path","description":"A process identifier that is an UUID.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/vnd.no.digdir.elma.processes.update.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ProcessFormDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ProcessFormDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.processes.update.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ProcessDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ProcessDTO"}}}}}},"delete":{"tags":["process-controller"],"summary":"Delete process","description":"Delete process","operationId":"deleteProcess","parameters":[{"name":"identifiable","in":"path","description":"A process identifier that is an UUID.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/api/participants/{qualifiedIdentifier}":{"get":{"tags":["participant-controller"],"summary":"Get participant by organization qualified identifier","description":"Get participant by organization qualified identifier","operationId":"getParticipant","parameters":[{"name":"qualifiedIdentifier","in":"path","description":"An identifier that is qualified by a schema. It consists of <scheme> :: <ICD> : <organizationIdentifier>.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.participants.get.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ParticipantDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ParticipantDTO"}}}}}},"put":{"tags":["participant-controller"],"summary":"Update participant","description":"Update participant","operationId":"updateParticipant","parameters":[{"name":"qualifiedIdentifier","in":"path","description":"An identifier that is qualified by a schema. It consists of <scheme> :: <ICD> : <organizationIdentifier>.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/vnd.no.digdir.elma.participants.update.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/UpdateParticipantFormDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/UpdateParticipantFormDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.participants.update.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ParticipantDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ParticipantDTO"}}}}}},"delete":{"tags":["participant-controller"],"summary":"Delete participant by organization qualified identifier","description":"Delete participant by organization qualified identifier","operationId":"deleteParticipant","parameters":[{"name":"qualifiedIdentifier","in":"path","description":"An identifier that is qualified by a schema. It consists of <scheme> :: <ICD> : <organizationIdentifier>.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/api/participants/{qualifiedIdentifier}/transfer/{serviceProviderIdentifier}":{"put":{"tags":["participant-controller"],"summary":"Transfer participant","description":"Transfer participant","operationId":"transferParticipantToServiceProvider","parameters":[{"name":"qualifiedIdentifier","in":"path","description":"An identifier that is qualified by a schema. It consists of <scheme> :: <ICD> : <organizationIdentifier>.","required":true,"schema":{"type":"string"}},{"name":"serviceProviderIdentifier","in":"path","description":"Identifier of the Service Provider that should receive the participant to be transferred.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/api/document-types/{identifiable}":{"get":{"tags":["document-type-controller"],"summary":"Get document type","description":"Get document type","operationId":"getDocumentType","parameters":[{"name":"identifiable","in":"path","description":"A process identifier that is an UUID.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.document-types.get.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/DocumentTypeDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/DocumentTypeDTO"}}}}}},"put":{"tags":["document-type-controller"],"summary":"Update document type","description":"Update document type","operationId":"updateDocumentType","parameters":[{"name":"identifiable","in":"path","description":"A process identifier that is an UUID.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/vnd.no.digdir.elma.document-types.update.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/DocumentTypeFormDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/DocumentTypeFormDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.document-types.update.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/DocumentTypeDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/DocumentTypeDTO"}}}}}},"delete":{"tags":["document-type-controller"],"summary":"Delete document type","description":"Delete document type","operationId":"deleteDocumentType","parameters":[{"name":"identifiable","in":"path","description":"A process identifier that is an UUID.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/api/processes":{"get":{"tags":["process-controller"],"summary":"Find processes","description":"Find processes","operationId":"streamProcesses","parameters":[{"name":"input","in":"query","required":true,"schema":{"$ref":"#/components/schemas/FindProcessesInput"}},{"name":"page","in":"query","description":"Page you want to retrieve. First page is page 0.","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"Size of the page you want to retrieve.","required":false,"schema":{"type":"integer","default":30,"minimum":1}},{"name":"sort","in":"query","description":"Properties that should be sorted by in the format property,property(,ASC|DESC). Default sort direction is ascending. Use multiple sort parameters if you want to switch directions, e.g. ?sort=firstname&sort=lastname,asc.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.processes.find.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/PageProcessDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/PageProcessDTO"}}}}}},"post":{"tags":["process-controller"],"summary":"Add process","description":"Add process","operationId":"addProcess","requestBody":{"content":{"application/vnd.no.digdir.elma.processes.add.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ProcessFormDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ProcessFormDTO"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/vnd.no.digdir.elma.processes.add.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ProcessDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ProcessDTO"}}}}}}},"/api/participants":{"get":{"tags":["participant-controller"],"summary":"Find participants","description":"Find participants","operationId":"streamParticipants","parameters":[{"name":"input","in":"query","required":true,"schema":{"$ref":"#/components/schemas/FindParticipantInput"}},{"name":"processes","in":"query","description":"Set this to true if you want the response to include participant processes.","required":false,"schema":{"type":"boolean","default":false}},{"name":"page","in":"query","description":"Page you want to retrieve. First page is page 0.","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"Size of the page you want to retrieve.","required":false,"schema":{"type":"integer","default":30,"minimum":1}},{"name":"sort","in":"query","description":"Properties that should be sorted by in the format property,property(,ASC|DESC). Default sort direction is ascending. Use multiple sort parameters if you want to switch directions, e.g. ?sort=firstname&sort=lastname,asc.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.participants.find.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/PageParticipantDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/PageParticipantDTO"}}}}}},"post":{"tags":["participant-controller"],"summary":"Add participant","description":"Add participant","operationId":"addParticipant","requestBody":{"content":{"application/vnd.no.digdir.elma.participants.add.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/AddParticipantFormDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/AddParticipantFormDTO"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/vnd.no.digdir.elma.participants.add.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ParticipantDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ParticipantDTO"}}}}}}},"/api/document-types":{"get":{"tags":["document-type-controller"],"summary":"Find document types","description":"Find document types","operationId":"getDocumentTypes","parameters":[{"name":"page","in":"query","description":"Page you want to retrieve. First page is page 0.","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"Size of the page you want to retrieve.","required":false,"schema":{"type":"integer","default":30,"minimum":1}},{"name":"sort","in":"query","description":"Properties that should be sorted by in the format property,property(,ASC|DESC). Default sort direction is ascending. Use multiple sort parameters if you want to switch directions, e.g. ?sort=firstname&sort=lastname,asc.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.document-types.find.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/PageDocumentTypeDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/PageDocumentTypeDTO"}}}}}},"post":{"tags":["document-type-controller"],"summary":"Add document type","description":"Add document type","operationId":"addDocumentType","requestBody":{"content":{"application/vnd.no.digdir.elma.document-types.add.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/DocumentTypeFormDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/DocumentTypeFormDTO"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/vnd.no.digdir.elma.document-types.add.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/DocumentTypeDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/DocumentTypeDTO"}}}}}}},"/api/participants/{qualifiedIdentifier}/processes":{"get":{"tags":["participant-controller"],"summary":"Find participant processes by organization qualified identifier","description":"Find participant processes by organization qualified identifier","operationId":"getParticipantProcesses","parameters":[{"name":"qualifiedIdentifier","in":"path","description":"An identifier that is qualified by a schema. It consists of <scheme> :: <ICD> : <organizationIdentifier>.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.participants.processes.v1+json;charset=UTF-8":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProcessDTO"}}},"application/json;charset=UTF-8":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProcessDTO"}}}}}}}},"/api/participants/{participant}/processes":{"get":{"tags":["participant-controller"],"summary":"Find participant processes by participant identifier","description":"Find participant processes by participant identifier","operationId":"getParticipantProcesses_1","parameters":[{"name":"participant","in":"path","description":"A participant identifier that is an UUID.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.participants.processes.v1+json;charset=UTF-8":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProcessDTO"}}},"application/json;charset=UTF-8":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProcessDTO"}}}}}}}},"/api/participants/{identifiable}":{"get":{"tags":["participant-controller"],"summary":"Get participant by participant identifier","description":"Get participant by participant identifier","operationId":"getParticipant_1","parameters":[{"name":"identifiable","in":"path","description":"A participant identifier that is an UUID.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.participants.get.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ParticipantDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/ParticipantDTO"}}}}}},"delete":{"tags":["participant-controller"],"summary":"Delete participant by participant identifier","description":"Delete participant by participant identifier","operationId":"deleteParticipant_1","parameters":[{"name":"identifiable","in":"path","description":"A participant identifier that is an UUID.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/api/organizations/{qualifiedIdentifier}/processes":{"get":{"tags":["organization-controller"],"summary":"Find organization processes","description":"Find organization processes","operationId":"getProcesses","parameters":[{"name":"qualifiedIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.organizations.processes.v1+json;charset=UTF-8":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProcessDTO"}}},"application/json;charset=UTF-8":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProcessDTO"}}}}}}}},"/api/accessPoints":{"get":{"tags":["access-point-controller"],"summary":"Find access points","description":"Find access points","operationId":"getAccessPoints","parameters":[{"name":"page","in":"query","description":"Page you want to retrieve. First page is page 0.","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"Size of the page you want to retrieve.","required":false,"schema":{"type":"integer","default":30,"minimum":1}},{"name":"sort","in":"query","description":"Properties that should be sorted by in the format property,property(,ASC|DESC). Default sort direction is ascending. Use multiple sort parameters if you want to switch directions, e.g. ?sort=firstname&sort=lastname,asc.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.accesspoints.find.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/PageAccessPointDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/PageAccessPointDTO"}},"application/vnd.no.digdir.elma.accessPoints.find.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/PageAccessPointDTO"}}}}}}},"/api/accessPoints/{identifiable}":{"get":{"tags":["access-point-controller"],"summary":"Get access points","description":"Get access points","operationId":"getAccessPoint","parameters":[{"name":"identifiable","in":"path","description":"An access point identifier that is an UUID.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.no.digdir.elma.accesspoints.get.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/AccessPointDTO"}},"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/AccessPointDTO"}},"application/vnd.no.digdir.elma.accessPoints.get.v1+json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/AccessPointDTO"}}}}}}}},"components":{"schemas":{"CapabilityIdentifiable":{"type":"object","properties":{"identifier":{"type":"string","description":"A UUID identifier."},"title":{"type":"string"},"reference":{"type":"string"},"id":{"type":"integer","format":"int64"}}},"DocumentTypeIdentifiable":{"type":"object","properties":{"identifier":{"type":"string","description":"A UUID identifier."},"qualifiedIdentifier":{"$ref":"#/components/schemas/QualifiedIdentifier"},"title":{"type":"string"},"reference":{"type":"string"},"id":{"type":"integer","format":"int64"}}},"ProcessFormDTO":{"type":"object","properties":{"domain":{"type":"string","description":"The domain that this process belongs to."},"title":{"type":"string","description":"A title describing the process.","minLength":1},"alias":{"type":"string","description":"An alias for the process title"},"qualifiedIdentifier":{"$ref":"#/components/schemas/QualifiedIdentifier","description":"A qualified identifier that consist of a scheme and a value."},"restricted":{"type":"boolean","description":"If the process has been deprecated."},"visible":{"type":"boolean","description":"If the process is visible in the SMP lookup."},"capabilities":{"type":"array","description":"A list of capabilities","items":{"$ref":"#/components/schemas/CapabilityIdentifiable"},"uniqueItems":true},"documentTypes":{"type":"array","description":"A list of document types","items":{"$ref":"#/components/schemas/DocumentTypeIdentifiable"},"uniqueItems":true},"dependencies":{"type":"array","description":"A list of dependencies","items":{"$ref":"#/components/schemas/ProcessIdentifiable"},"uniqueItems":true},"requiredICDs":{"type":"array","description":"A participant must have a ICD contained in this list to be able to add a process.","items":{"type":"string","enum":["9922","9923","9916","9915","9919","9914","9924","9956","9925","9926","9927","9928","9929","9958","9930","9901","9902","0184","0096","9904","9905","0060","0191","9931","9920","9913","9912","0037","0002","0009","9957","9932","0088","9933","9934","9910","9918","9935","9917","0028","9907","0097","9921","0142","0135","9906","9936","9937","9938","9939","9940","9941","9942","9943","0106","9954","9944","0192","9909","9945","9946","9947","9948","0007","9955","0195","9949","9950","9951","9952","9953"]},"uniqueItems":true}},"required":["capabilities","dependencies","documentTypes","domain","qualifiedIdentifier","requiredICDs","restricted","title","visible"]},"ProcessIdentifiable":{"type":"object","properties":{"identifier":{"type":"string","description":"A UUID identifier."},"title":{"type":"string"},"reference":{"type":"string"},"id":{"type":"integer","format":"int64"}}},"QualifiedIdentifier":{"type":"object","properties":{"value":{"type":"string"},"scheme":{"type":"string"}}},"CapabilityDTO":{"type":"object","properties":{"identifier":{"type":"string","description":"A UUID identifier."},"title":{"type":"string","description":"The capability title"}}},"DependencyDTO":{"type":"object","properties":{"identifier":{"type":"string","description":"A UUID identifier."},"qualifiedIdentifier":{"$ref":"#/components/schemas/QualifiedIdentifier","description":"The qualified identifier for the dependency."},"title":{"type":"string","description":"The dependency title."},"restricted":{"type":"boolean","description":"If the process has been deprecated"},"visible":{"type":"boolean","description":"If the process is visible in the SMP lookup."}}},"DocumentTypeDTO":{"type":"object","properties":{"identifier":{"type":"string","description":"A UUID identifier."},"qualifiedIdentifier":{"$ref":"#/components/schemas/QualifiedIdentifier","description":"The qualified identifier for the document type."},"title":{"type":"string","description":"The document type title."},"visible":{"type":"boolean","description":"If the document type is visible or not in the SMP."}}},"ProcessDTO":{"type":"object","properties":{"identifier":{"type":"string","description":"A UUID identifier."},"qualifiedIdentifier":{"$ref":"#/components/schemas/QualifiedIdentifier","description":"A qualified identifier that consist of a scheme and a value."},"domain":{"type":"string","description":"The domain that this process belongs to."},"title":{"type":"string","description":"A title describing the process."},"alias":{"type":"string","description":"An alias for the process title"},"restricted":{"type":"boolean","description":"If the process has been deprecated."},"visible":{"type":"boolean","description":"If the process is visible in the SMP lookup."},"capabilities":{"type":"array","description":"A list of capabilities","items":{"$ref":"#/components/schemas/CapabilityDTO"}},"documentTypes":{"type":"array","description":"A list of document types","items":{"$ref":"#/components/schemas/DocumentTypeDTO"}},"dependencies":{"type":"array","description":"A list of dependencies","items":{"$ref":"#/components/schemas/DependencyDTO"}},"requiredICDs":{"type":"array","description":"A participant must have a ICD contained in this list to be able to add a process.","items":{"type":"string","enum":["9922","9923","9916","9915","9919","9914","9924","9956","9925","9926","9927","9928","9929","9958","9930","9901","9902","0184","0096","9904","9905","0060","0191","9931","9920","9913","9912","0037","0002","0009","9957","9932","0088","9933","9934","9910","9918","9935","9917","0028","9907","0097","9921","0142","0135","9906","9936","9937","9938","9939","9940","9941","9942","9943","0106","9954","9944","0192","9909","9945","9946","9947","9948","0007","9955","0195","9949","9950","9951","9952","9953"]}}}},"ContactFormDTO":{"type":"object","properties":{"name":{"type":"string","description":"The name of the contact person.","minLength":1},"email":{"type":"string","format":"email","description":"The email address of the contact person."},"phoneNumber":{"type":"string","description":"The phone number of the contact person."}},"required":["name"]},"UpdateParticipantFormDTO":{"type":"object","properties":{"processes":{"type":"array","description":"A list of processes.","items":{"$ref":"#/components/schemas/ProcessIdentifiable"}},"contact":{"$ref":"#/components/schemas/ContactFormDTO"}},"required":["contact","processes"]},"ContactDTO":{"type":"object","properties":{"name":{"type":"string","description":"The name of the contact person."},"email":{"type":"string","description":"The email address of the contact person."},"phoneNumber":{"type":"string","description":"The phone number of the contact person."}}},"ParticipantDTO":{"type":"object","properties":{"identifier":{"type":"string","description":"A participant identifier that is an UUID."},"qualifiedIdentifier":{"$ref":"#/components/schemas/QualifiedIdentifier","description":"A qualified identifier that consist of a scheme and a value."},"icd":{"type":"string","description":"An International Code Designator (ICD) value, which uniquely identifies the authority which issued the code to the organization, up to 4 digits","enum":["9922","9923","9916","9915","9919","9914","9924","9956","9925","9926","9927","9928","9929","9958","9930","9901","9902","0184","0096","9904","9905","0060","0191","9931","9920","9913","9912","0037","0002","0009","9957","9932","0088","9933","9934","9910","9918","9935","9917","0028","9907","0097","9921","0142","0135","9906","9936","9937","9938","9939","9940","9941","9942","9943","0106","9954","9944","0192","9909","9945","9946","9947","9948","0007","9955","0195","9949","9950","9951","9952","9953"]},"organizationIdentifier":{"type":"string","description":"An organization identifier, up to a maximum of 35 characters."},"organizationPartIdentifier":{"type":"string"},"sourceIndicator":{"type":"string"},"name":{"type":"string","description":"Organization name"},"registrationDate":{"type":"string","format":"date","description":"Registration date"},"lastModificationDate":{"type":"string","format":"date","description":"Last modification date"},"deleteDate":{"type":"string","format":"date","description":"Date the participant will be deleted."},"contact":{"$ref":"#/components/schemas/ContactDTO"},"provider":{"$ref":"#/components/schemas/ServiceProviderDTO","description":"The service provider."},"processes":{"type":"array","description":"List of processes.","items":{"$ref":"#/components/schemas/ProcessDTO"}}}},"ServiceProviderDTO":{"type":"object","properties":{"identifier":{"type":"string","description":"A universally unique identifier."},"title":{"type":"string","description":"The name of service provider."}}},"DocumentTypeFormDTO":{"type":"object","properties":{"title":{"type":"string","description":"A title describing the document type.","minLength":1},"qualifiedIdentifier":{"$ref":"#/components/schemas/QualifiedIdentifier","description":"A qualified identifier that consist of a scheme and a value."},"visible":{"type":"boolean","description":"If the document type is visible in the SMP lookup."},"processes":{"type":"array","description":"A list of processes","items":{"$ref":"#/components/schemas/ProcessIdentifiable"},"uniqueItems":true}},"required":["processes","qualifiedIdentifier","title","visible"]},"AddParticipantFormDTO":{"type":"object","properties":{"icd":{"type":"string","description":"An International Code Designator (ICD) value, which uniquely identifies the authority which issued the code to the organization, up to 4 digits","enum":["9922","9923","9916","9915","9919","9914","9924","9956","9925","9926","9927","9928","9929","9958","9930","9901","9902","0184","0096","9904","9905","0060","0191","9931","9920","9913","9912","0037","0002","0009","9957","9932","0088","9933","9934","9910","9918","9935","9917","0028","9907","0097","9921","0142","0135","9906","9936","9937","9938","9939","9940","9941","9942","9943","0106","9954","9944","0192","9909","9945","9946","9947","9948","0007","9955","0195","9949","9950","9951","9952","9953"]},"organizationIdentifier":{"type":"string","description":"An organization identifier, up to a maximum of 35 characters.","minLength":1},"organizationPartIdentifier":{"type":"string","maxLength":35,"minLength":0},"sourceIndicator":{"type":"string","maxLength":1,"minLength":1,"pattern":"[0-9]"},"name":{"type":"string","description":"Organization name"},"processes":{"type":"array","description":"A list of processes.","items":{"$ref":"#/components/schemas/ProcessIdentifiable"}},"contact":{"$ref":"#/components/schemas/ContactFormDTO"}},"required":["contact","icd","organizationIdentifier","processes"]},"FindProcessesInput":{"type":"object","properties":{"query":{"type":"string"},"domain":{"type":"array","items":{"type":"string"},"uniqueItems":true},"documentType":{"type":"string"},"dependency":{"type":"string"},"requiredIcd":{"type":"array","items":{"type":"string","enum":["9922","9923","9916","9915","9919","9914","9924","9956","9925","9926","9927","9928","9929","9958","9930","9901","9902","0184","0096","9904","9905","0060","0191","9931","9920","9913","9912","0037","0002","0009","9957","9932","0088","9933","9934","9910","9918","9935","9917","0028","9907","0097","9921","0142","0135","9906","9936","9937","9938","9939","9940","9941","9942","9943","0106","9954","9944","0192","9909","9945","9946","9947","9948","0007","9955","0195","9949","9950","9951","9952","9953"]},"uniqueItems":true},"restricted":{"type":"boolean"},"visible":{"type":"boolean"},"search":{"type":"string","writeOnly":true}}},"PageProcessDTO":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32","description":"The total number of pages"},"totalElements":{"type":"integer","format":"int64","description":"The total number of elements"},"numberOfElements":{"type":"integer","format":"int32","description":"Number of elements returned in the page."},"pageable":{"$ref":"#/components/schemas/PageableObject"},"size":{"type":"integer","format":"int32","description":"The page size"},"content":{"type":"array","items":{"$ref":"#/components/schemas/ProcessDTO"}},"number":{"type":"integer","format":"int32","description":"The page number"},"sort":{"$ref":"#/components/schemas/SortObject"},"first":{"type":"boolean","description":"A boolean value indicating if this is the first page or not."},"last":{"type":"boolean","description":"A boolean value indicating if this is the last page or not."},"empty":{"type":"boolean","description":"True if the page is empty. False if not."}}},"PageableObject":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32","description":"The requested page number"},"paged":{"type":"boolean"},"offset":{"type":"integer","format":"int64","description":"The offset to be taken according to the underlying page and page size."},"sort":{"$ref":"#/components/schemas/SortObject"},"pageSize":{"type":"integer","format":"int32","description":"The requested page size"},"unpaged":{"type":"boolean"}}},"SortObject":{"type":"object","properties":{"unsorted":{"type":"boolean","description":"True if the result set is unsorted. False otherwise."},"empty":{"type":"boolean","description":"True if no sorting. False otherwise"},"sorted":{"type":"boolean","description":"True if the result set is sorted. False otherwise."}}},"FindParticipantInput":{"type":"object","properties":{"icd":{"type":"string","enum":["9922","9923","9916","9915","9919","9914","9924","9956","9925","9926","9927","9928","9929","9958","9930","9901","9902","0184","0096","9904","9905","0060","0191","9931","9920","9913","9912","0037","0002","0009","9957","9932","0088","9933","9934","9910","9918","9935","9917","0028","9907","0097","9921","0142","0135","9906","9936","9937","9938","9939","9940","9941","9942","9943","0106","9954","9944","0192","9909","9945","9946","9947","9948","0007","9955","0195","9949","9950","9951","9952","9953"]},"query":{"type":"string","description":"Search for name and organization number."},"lastModificationDate":{"type":"string","format":"date"},"lastModificationDateFrom":{"type":"string","format":"date"},"lastModificationDateTo":{"type":"string","format":"date"},"search":{"type":"string","writeOnly":true}}},"PageParticipantDTO":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32","description":"The total number of pages"},"totalElements":{"type":"integer","format":"int64","description":"The total number of elements"},"numberOfElements":{"type":"integer","format":"int32","description":"Number of elements returned in the page."},"pageable":{"$ref":"#/components/schemas/PageableObject"},"size":{"type":"integer","format":"int32","description":"The page size"},"content":{"type":"array","items":{"$ref":"#/components/schemas/ParticipantDTO"}},"number":{"type":"integer","format":"int32","description":"The page number"},"sort":{"$ref":"#/components/schemas/SortObject"},"first":{"type":"boolean","description":"A boolean value indicating if this is the first page or not."},"last":{"type":"boolean","description":"A boolean value indicating if this is the last page or not."},"empty":{"type":"boolean","description":"True if the page is empty. False if not."}}},"PageDocumentTypeDTO":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32","description":"The total number of pages"},"totalElements":{"type":"integer","format":"int64","description":"The total number of elements"},"numberOfElements":{"type":"integer","format":"int32","description":"Number of elements returned in the page."},"pageable":{"$ref":"#/components/schemas/PageableObject"},"size":{"type":"integer","format":"int32","description":"The page size"},"content":{"type":"array","items":{"$ref":"#/components/schemas/DocumentTypeDTO"}},"number":{"type":"integer","format":"int32","description":"The page number"},"sort":{"$ref":"#/components/schemas/SortObject"},"first":{"type":"boolean","description":"A boolean value indicating if this is the first page or not."},"last":{"type":"boolean","description":"A boolean value indicating if this is the last page or not."},"empty":{"type":"boolean","description":"True if the page is empty. False if not."}}},"AccessPointDTO":{"type":"object","properties":{"identifier":{"type":"string","description":"A universally unique identifier."},"title":{"type":"string","description":"The name of service provider."},"provider":{"$ref":"#/components/schemas/ProviderDTO","description":"The access point provider."},"endpoints":{"type":"array","description":"A list of endpoints belonging to the access point.","items":{"$ref":"#/components/schemas/EndpointDTO"},"uniqueItems":true}}},"EndpointDTO":{"type":"object","properties":{"transportProfile":{"$ref":"#/components/schemas/TransportProfileDTO","description":"A list of transport profiles supported by the endpoint."},"url":{"type":"string","description":"The url of the endpoint."}}},"PageAccessPointDTO":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32","description":"The total number of pages"},"totalElements":{"type":"integer","format":"int64","description":"The total number of elements"},"numberOfElements":{"type":"integer","format":"int32","description":"Number of elements returned in the page."},"pageable":{"$ref":"#/components/schemas/PageableObject"},"size":{"type":"integer","format":"int32","description":"The page size"},"content":{"type":"array","items":{"$ref":"#/components/schemas/AccessPointDTO"}},"number":{"type":"integer","format":"int32","description":"The page number"},"sort":{"$ref":"#/components/schemas/SortObject"},"first":{"type":"boolean","description":"A boolean value indicating if this is the first page or not."},"last":{"type":"boolean","description":"A boolean value indicating if this is the last page or not."},"empty":{"type":"boolean","description":"True if the page is empty. False if not."}}},"ProviderDTO":{"type":"object","properties":{"identifier":{"type":"string","description":"A universally unique identifier."},"title":{"type":"string","description":"The name of service provider."},"contact":{"$ref":"#/components/schemas/ContactDTO"}}},"TransportProfileDTO":{"type":"object","properties":{"title":{"type":"string","description":"Name describing the transport profile."},"value":{"type":"string","description":"The transport profile identifier."},"certificateTypes":{"type":"array","description":"A list of certificate types that is used by this endpoint.","items":{"type":"string"},"uniqueItems":true}}}}}}